%global _description ISO 3166-1 defines two-letter, three-letter, and three-digit country\
codes. python-iso3166 is a self-contained module that converts between these\
codes and the corresponding country name.

%global srcname iso3166

%global _with_python2 0%{?rhel} < 8
%global _with_python3_other 0%{?python3_other_pkgversion}

Name:           python-%{srcname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Self-contained ISO 3166-1 country definitions

License:        MIT
URL:            https://github.com/deactivated/%{name}/
Source0:        %{pypi_source}

%if 0%{?_with_python2}
BuildRequires:  python2-devel
BuildRequires:  python2-pytest
BuildRequires:  python2-setuptools
%endif
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools
%if 0%{?_with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-pytest
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%endif
BuildArch:      noarch

%description
%{_description}


%if 0%{?_with_python2}
%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{_description}
%endif


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{_description}


%if 0%{?_with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python%{python3_other_pkgversion}-%{srcname}
%{_description}
%endif


%prep
%autosetup -n %{srcname}-%{version}


%build
%if 0%{?_with_python2}
%py2_build
%endif
%py3_build
%if 0%{?_with_python3_other}
%py3_other_build
%endif


%install
%if 0%{?_with_python2}
%py2_install
%endif
%py3_install
%if 0%{?_with_python3_other}
%py3_other_install
%endif


%check
export PYTHONPATH=$PWD

%if 0%{?_with_python2}
py.test-%{python2_version}
%endif
py.test-%{python3_version}
%if 0%{?_with_python3_other}
py.test-%{python3_other_version}
%endif


%if 0%{?_with_python2}
%files -n python2-%{srcname}
%doc CHANGES README.rst
%license LICENSE.txt
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/
%endif


%files -n python%{python3_pkgversion}-%{srcname}
%doc CHANGES README.rst
%license LICENSE.txt
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/


%if 0%{?_with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%doc CHANGES README.rst
%license LICENSE.txt
%{python3_other_sitelib}/%{srcname}/
%{python3_other_sitelib}/%{srcname}-*.egg-info/
%endif


%changelog
* Mon Apr 06 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-1
- Import for EPEL
